#ifndef __PROPEDIT_G__
#define __PROPEDIT_G__

#include "wx/pmf/pm.h"

class wxDMNodePropertyGroupEditor;

class wxDMNodePropertyPanel : public wxPMPane
{
public:
	wxDMNodePropertyPanel();
	~wxDMNodePropertyPanel();

	// overriden methods of wxPMService
	virtual bool Start();
	virtual bool Stop();

	// overriden method of wxPMPane
	virtual wxWindow* GetPaneWindow();
	virtual void CreatePaneWindow( wxWindow* pParent );
	virtual wxStringList* GetDocumentTypes(); 

	// other methods

	virtual void AddDocumentType( const wxString& type );
	virtual void RemoveDocumentType( const wxString& type );
	virtual wxDMNodePropertyGroupEditor* GetGroupEditor();

	DECLARE_DYNAMIC_CLASS( wxDMNodePropertyPanel )
	DECLARE_EVENT_TABLE()

protected:
	wxStringList mDocTypes;

	wxDMNodePropertyGroupEditor* mpEditor;
};

#endif // __PROPEDIT_G__